Subject: bug#70669: 30.0.50; tramp-archive.elc opened too many times

From: Michael Albinus <[email-masked]>
Date: Tue, 30 Apr 2024 13:23:45 +0200

This is forwarded from [email-masked]

-------------------- Start of forwarded message --------------------
From: Madhu <[email-masked]>
Subject: tramp-archive.elc opened too many times
Date: Sun, 28 Apr 2024 08:30:01 +0530 (IST)
To: [email-masked]

Hello, I am getting DoSed with "Too many open files", and they all
seem to be tramp-archive.elc

I have  tramp-archive-enabled => nil
(featurep 'tramp-gvfs) => nil

The only "weird" buffer I have is a file in Zip-Archive mode.

$ lsof -n | grep tramp-archive | wc -l => 5015
of these 1003 entries are from the main emacs process
and 1003 entries are from 4 pthread tasks each as below

```
emacs     10143                 madhu   16r      REG               8,14     27080    1401209 /14/build/emacs/lisp/net/tramp-archive.elc
emacs     10143 10264 pool-spaw    madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
emacs     10143 10265 gmain        madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
emacs     10143 10266 dconf\x20    madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
emacs     10143 10267 gdbus        madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
```

Any ideas why this might be happening or if it is a solved problem,
and if I can isolate myself from it?

problems with dbus tend to be fatal, once you get into a situaion the
design of dbus prevents recovery and forces the removal of all
evidence which might have caused the attack...

-------------------- End of forwarded message --------------------